/* Compatibility routines for cthreads.
   Copyright (C) 2000 Free Software Foundation, Inc.
   This file is part of the GNU C Library.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public License as
   published by the Free Software Foundation; either version 2 of the
   License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with the GNU C Library; see the file COPYING.LIB.  If not,
   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

#include <assert.h>
#include <pthread.h>

#include <cthreads.h>

void
cthread_detach (cthread_t thread)
{
  int err;

  err = pthread_detach ((pthread_t) thread);
  assert_perror (err);
}

cthread_t
cthread_fork (cthread_fn_t func, void *arg)
{
  pthread_t thread;
  int err;

  err = pthread_create (&thread, NULL, func, arg);
  assert_perror (err);

  return (cthread_t) thread;
}
